<!DOCTYPE html>
<html class="writer-html5" lang="fr" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>fonctions module &mdash; Documentation IfremerDoc 1.0</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=7a28dfa3"></script>
        <script src="_static/doctools.js?v=888ff710"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/translations.js?v=d99ca74e"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" />
    <link rel="next" title="main module" href="main.html" />
    <link rel="prev" title="ifremer2" href="modules.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            IfremerDoc
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Rechercher docs" aria-label="Rechercher docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">ifremer2</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">fonctions module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#fonctions.date_avec_plus_grand_nombre_de_1"><code class="docutils literal notranslate"><span class="pre">date_avec_plus_grand_nombre_de_1()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#fonctions.date_avec_plus_proche_nombre_de_1_et_0"><code class="docutils literal notranslate"><span class="pre">date_avec_plus_proche_nombre_de_1_et_0()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#fonctions.point_plus_haut"><code class="docutils literal notranslate"><span class="pre">point_plus_haut()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#fonctions.pourcentage_point_sous_leau"><code class="docutils literal notranslate"><span class="pre">pourcentage_point_sous_leau()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#fonctions.valeurs_toujours_egal_0"><code class="docutils literal notranslate"><span class="pre">valeurs_toujours_egal_0()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#fonctions.valeurs_toujours_egal_1"><code class="docutils literal notranslate"><span class="pre">valeurs_toujours_egal_1()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="main.html">main module</a></li>
<li class="toctree-l2"><a class="reference internal" href="matrice.html">matrice module</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">IfremerDoc</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="modules.html">ifremer2</a></li>
      <li class="breadcrumb-item active">fonctions module</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/fonctions.rst.txt" rel="nofollow"> Afficher la source de la page</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-fonctions">
<span id="fonctions-module"></span><h1>fonctions module<a class="headerlink" href="#module-fonctions" title="Link to this heading"></a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="fonctions.date_avec_plus_grand_nombre_de_1">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">date_avec_plus_grand_nombre_de_1</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrices_par_date</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.date_avec_plus_grand_nombre_de_1" title="Link to this definition"></a></dt>
<dd><p>Determiner à quelle date il y a le plus grand nombre d’occurence de capteur à la valeur 1
ce qui correspondra à la plus grande marée</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.date_avec_plus_proche_nombre_de_1_et_0">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">date_avec_plus_proche_nombre_de_1_et_0</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrices_par_date</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.date_avec_plus_proche_nombre_de_1_et_0" title="Link to this definition"></a></dt>
<dd><p>Donner le jour où le nombres de capteurs actif est le plus proches du nombre de capteur inactif.
Ce qui correspondra au minimum d’amplitude de la marrée donc au plus petit coefficient.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.point_plus_haut">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">point_plus_haut</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrices_par_date</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.point_plus_haut" title="Link to this definition"></a></dt>
<dd><p>Détecter et afficher le point le plus haut immergés en vérifiant si un capteur est actif
en coordonnées y=2, puis y=1 puis y=0</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.pourcentage_point_sous_leau">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">pourcentage_point_sous_leau</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrices_par_date</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.pourcentage_point_sous_leau" title="Link to this definition"></a></dt>
<dd><p>Determiner le pourcentage de temps d’un capteur sous l’eau d’après une plage de temps et
de coordonnées fournis par l’utilisateur</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.valeurs_toujours_egal_0">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">valeurs_toujours_egal_0</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrices_par_date</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.valeurs_toujours_egal_0" title="Link to this definition"></a></dt>
<dd><p>Comparer si il y a des occurences de valeur 0 dans les matrices triées par date.
Si il y a le même nombre d’occurences que de nombre de matrices alors on affiche les coordonnées</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.valeurs_toujours_egal_1">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">valeurs_toujours_egal_1</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrices_par_date</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.valeurs_toujours_egal_1" title="Link to this definition"></a></dt>
<dd><p>Comparer si il y a des occurences de valeur 1 dans les matrices triées par date.
Si il y a le même nombre d’occurences que de nombre de matrices alors on affiche les coordonnées</p>
</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Pied de page">
        <a href="modules.html" class="btn btn-neutral float-left" title="ifremer2" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Précédent</a>
        <a href="main.html" class="btn btn-neutral float-right" title="main module" accesskey="n" rel="next">Suivant <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Droits d'auteur 2023, Kevin.</p>
  </div>

  Compilé avec <a href="https://www.sphinx-doc.org/">Sphinx</a> en utilisant un
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">thème</a>
    fourni par <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>